function Initialize()

	ResPath = SKIN:GetVariable("@")
	dofile(ResPath.."LuaScripts\\ReadFeeds.lua")
	dofile(ResPath.."LuaScripts\\date.lua")
	
	msmGmail = SKIN:GetMeasure("mGmail")
	vGmailID = SKIN:GetVariable('GmailID')
	sTime = SKIN:GetVariable('Time')

end -- function Initialize

function Update()
		
		sRaw = msmGmail:GetStringValue()
		
		sRaw = string.gsub(sRaw, '<modified>', '<updated>')
		sRaw = string.gsub(sRaw, '</modified>', '</updated>')
		iFullCount = tonumber(string.match(sRaw, ".<fullcount>(.-)</fullcount>"))
		
		CheckFeed(sRaw)
		ReadFeed(sRaw)

		
		for i = 1, (iNumberOfItems > 0 and 4 or 0) do
			if tTitles[i] then
				SKIN:Bang('!SetOption GmailAuthor'..i..' Text \"'..tAuthors[i]..'\"')
				SKIN:Bang('!SetOption GmailContent'..i..' Text \"'..tTitles[i]..' - '..tDesc[i]..'\"')
				if sTime == 'Date' then
					SKIN:Bang('!SetOption GmailTimeDate'..i..' Text \"'..tDays[i]..' / '..tMonths[i]..'\"')
				elseif sTime == 'Time' then
					SKIN:Bang('!SetOption GmailTimeDate'..i..' Text \"'..tTimes[i]..'\"')
				end
				SKIN:Bang('!SetVariable GmailLink'..i..' \"'..tLinks[i]..'\"')
			end
		end
		
		SKIN:Bang("!SetOption GmailCount Text "..iFullCount.."")
		
		if iFullCount == 0 then
			SKIN:Bang('!ShowMeter NoMail')
			SKIN:Bang('!HideMeter WhiteBack')
		else
			if iFullCount < 5 then	
				for i=1, iFullCount do
					SKIN:Bang('!ShowMeterGroup Mail'..i..'')
					SKIN:Bang('!SetOption WhiteBack H '..(55*i)..'')
				end
			else
				SKIN:Bang('!ShowMeterGroup MailAll')
				SKIN:Bang('!SetOption WhiteBack H 220')
			end
		end
		
		return "Unread: "..iFullCount

end -- function Update

